/* ------------------------------------------------------------ *\
	List
\* ------------------------------------------------------------ */

[class^="list-"] {
	list-style: none outside none;
}

/* ------------------------------------------------------------ *\
	List contacts
\* ------------------------------------------------------------ */

.list--contacts {
	display: flex;
	align-items: center;

	li + li {
		margin-left: 51px;
	}

	a {
		display: flex;
		align-items: center;
		text-decoration: none;
		font-size: 16px;
		font-weight: 600;
	}

	i {
		margin-right: 22px;
	}

	.ico-time {
		margin-right: 16px;
	}

	@media #{$mobile} {
		display: block;

		li + li {
			margin-left: 0;
			margin-top: 31px;
		}
	}
}

/* ------------------------------------------------------------ *\
	List tools
\* ------------------------------------------------------------ */

.list--tools {
	display: flex;
	align-items: center;
	justify-content: space-between;

	li + li {
		margin-left: 20px;
	}

	a {
		display: flex;
		align-items: center;
		text-decoration: none;
		font-size: 13px;
		font-weight: 600;
	}

	i {
		margin-right: 10px;
	}

	span {
		margin-top: 3px;
		display: inline-block;
	}

	@media #{$mobile} {
		justify-content: space-between;

		li + li {
			margin-left: 26px;
		}
	}
}

/* ------------------------------------------------------------ *\
	List cards
\* ------------------------------------------------------------ */

.list--cards {
	display: flex;
	align-items: center;
	flex-flow: row wrap;

	li + li {
		margin-left: 26px;
	}

	a {
		transition: opacity .4s;

		&:hover {
			opacity: .7;
		}
	}

	@media #{$mobile} {
		margin-right: -36px;

		li {
			margin-bottom: 23px;
			margin-right: 26px;
		}

		li + li {
			margin-left: 0;
		}
	}
}

/* ------------------------------------------------------------ *\
	List credits
\* ------------------------------------------------------------ */

.list--credits {
	display: flex;
	align-items: center;

	li {
		display: flex;
		align-items: center;
	}

	li + li {
		margin-left: 40px;
	}

	a {
		transition: opacity .4s;

		&:hover {
			opacity: .7;
		}
	}

	p {
		margin: 0 16px 0 0;
		font-size: 13px;
		color: #000 !important;
		font-weight: 400;
		opacity: 0.5;
	}

	@media #{$mobile} {
		display: block;
		text-align: center;
		max-width: 210px;
		margin: 0 auto;

		li {
			justify-content: space-between;

			& + li {
				margin-left: 0;
				margin-top: 38px;
			}
		}

		img {
			max-width: 88%;
		}
	}
}

/* ------------------------------------------------------------ *\
	List filters
\* ------------------------------------------------------------ */

.list--filters {
	display: flex;
	align-items: center;

	& > li {
		& + li {
			margin-left: 39px;
		}
	}
}

/* ------------------------------------------------------------ *\

\* ------------------------------------------------------------ */

.list--colors-main {
	display: flex;
	flex-flow: row wrap;
	text-align: center;
	margin-bottom: -15px !important;

	li {
		flex: 0 0 20%;
		max-width: 20%;
		margin-bottom: 15px;
	}

	a {
		text-decoration: none;
	}

	p {
		min-height: 36px;
		letter-spacing: 0.02em;
		line-height: 1.4;
	}

	.color-main {
		display: inline-block;
		margin-bottom: 6px;
		width: 46px;
		height: 46px;
		border: 5px solid #eeeeee;
	}

	.solid {
		background: #000000;
	}

	.yellow {
		background: #fbdf55;
	}

	.orange {
		background: #ce6f49;
	}

	.grey {
		background: #464646;
	}

	.pink {
		background: #dc5d78;
	}

	.blue-light {
		background: #76c0c8;
	}

	.blue {
		background: #654fc1;
	}

	.green {
		background: #578758;
	}

	.purple {
		background: #b562bb;
	}

	.green-light {
		background: #a5c565;
	}

	.purple--light {
		background: #8da4db;
	}

	.pink-light {
		background: #db8d8d;
	}

	.red {
		background: #ff3737;
	}

	.brown {
		background: #b78d50;
	}

	.purple-dark {
		background: #6a1677;
	}

	@media #{$mobile} {
		margin: 0 -2px;

		li {
			padding: 0 2px;
			flex: 0 0 33.33%;
			max-width: 33.33%;
		}

		p {
			min-height: auto;
			line-height: 1.3 !important;
			font-size: 13px !important;
		}
	}
}

/* ------------------------------------------------------------ *\
	List checkboxes
\* ------------------------------------------------------------ */

.list--checkboxes {
	li + li {
		margin-top: 20px;
	}

	@media #{$mobile} {
		li + li {
			margin-top: 21px;
		}
	}
}

/* ------------------------------------------------------------ *\
	List order
\* ------------------------------------------------------------ */

.list--order {
	li + li {
		margin-top: 21px;
	}

	a {
		text-decoration: none;
		font-size: 15px;
		font-weight: normal;
		letter-spacing: 0.05em;
	}
}

/* ------------------------------------------------------------ *\
	List images
\* ------------------------------------------------------------ */

.list--images {
	display: flex;
	justify-content: space-between;

	li {
		flex: 0 0 25%;
		max-width: 25%;
		padding: 0 7px;
	}

	a {
		height: 46px;
		border: 3px solid #eeeeee;
		padding: 4px;
		display: flex;
		align-items: center;
		justify-content: center;
		opacity: 0.5;
		transition: opacity .4s;

		&:hover {
			opacity: 1;
		}
	}

	img {
		max-width: 100%;
		width: 100%;
		max-height: 100%;
	}

	.current {
		a {
			opacity: 1;
		}
	}
}
